<template>
  <q-page padding class="back-gsr">
    <!-- content -->
    <div class="row q-ma-md" align="center">
      
      <div class="col-12 main-gsr" >
        <!-- <h4 style="margin-bottom:1em;">GSR <q-icon name="mdi-file-document-edit"  /> </h4> -->
        <p>Sistema de Gestão Representaçāo 1.0</p>
        <br>
        <h5>Cadastro de Usuário</h5>
      </div>

      <div class="offset-2 col-8" style="margin-top:1em;">
        <q-input dark color="purple-12" v-model="username" label="Nome">
          <template v-slot:prepend>
            <q-icon name="mdi-account" />
          </template>
        </q-input>
      </div>
      <div class="offset-2 col-8">
        <q-input dark color="purple-12" v-model="email" label="Email">
          <template v-slot:prepend>
            <q-icon name="mdi-account" />
          </template>
        </q-input>
      </div>
      <div class="offset-2 col-8" >
        <q-input dark color="purple-12" v-model="password" label="Senha">
          <template v-slot:prepend>
            <q-icon name="mdi-shield-key-outline" />
          </template>
        </q-input>
      </div>
      <div class="offset-2 col-8 q-ma-sm" style="margin-top:4em;">
         <q-btn outline rounded color="white" @click="toRegister" class="full-width q-mt-sm" label="Salvar" />
      </div>
      <div class="offset-2 col-8 q-ma-sm" style="margin-top:1em;">
         <q-btn outline rounded color="white" to="/" class="full-width q-mt-sm" label="Voltar" />
      </div>
      
    </div>  
  </q-page>
</template>


<script>
import { METHODS } from 'http';
export default {
  name: 'pageRegister',
  
  data() {
    return {
      username: '',
      email: '',
      password: ''
    }
  },

  methods: {
    async toRegister() {
      try {
        console.log('cadastrou!')
      } catch (error) {
        
      }
    }
  }
}
</script>

<style>
  .back-gsr{
    background-color:#30294B;
    color:white;
  }

</style>